class ServerUrl {
  //static final String BASE_URL = "https://bui-crm.virpan.app/api/";
  static final String BASE_URL = "https://bui-base.virpan.app/api/";

  //Common API
  static final String crmUserCreate = "bui/users/create";
  static final String crmUserView = "bui/users/view";
  static final String buiUserPermission = "bui/user/permission";
  static final String crmProductView = "bui/product/view";

  static final String crmMasterCreate = "crm/master/create";
  static final String pmoMasterCreate = "pmo/master/create";

  //Dashboard Related URL

  static final String crmDashBoard = "crm/dashboard";

  //Account Related Url
  static final String crmAccountViewDetails = "crm/accounts/viewdetail";
  static final String crmUpdateAccount = "crm/accounts/update";
  static final String crmCreateAccount = "crm/accounts/create";
  static final String crmDeleteAccount = "crm/accounts/delete";

  static final String crmUserAccountDetails = "user/accounts";
  static final String crmMasterDetails = "crm/masters/view";

  //Leads Related Url
  static final String crmLeadViewDetails = "crm/leads/viewdetail";
  static final String crmUpdateLead = "crm/leads/update";
  static final String crmCreateLead = "crm/leads/create";
  static final String crmDeleteLead = "crm/leads/delete";

  //Contact Related Url
  static final String crmContactViewDetails = "crm/contacts/viewdetail";
  static final String crmUpdateContact = "crm/contacts/update";
  static final String crmCreateContact = "crm/contacts/create";
  static final String crmDeleteContact = "crm/contacts/delete";

  //Task Related URL
  static final String crmTaskViewDetails = "crm/activities/viewdetail";
  static final String crmUpdateTask = "crm/activities/update";
  static final String crmCreateTask = "crm/activities/create";
  static final String crmDeleteTask = "crm/activities/delete";

  //Deals Related API
  static final String crmDealsViewDetails = "crm/deals/viewdetail";
  static final String crmDealsDelete = "crm/deals/delete";
  static final String crmDealsCreate = "crm/deals/create";
  static final String crmDealsUpdate = "crm/deals/update";

  //Notes Related API
  static final String crmNotesView = "crm/notes/view";

  //Common API
  static final String crmActivitiesCreateTask = "crm/activities/create";
  static final String crmActivitiesCreateNotes = "crm/notes/create";

  //PMO

  //Common
  static final String pmoMaster = "pmo/masters/view";
  static final String pmoProjectView = "pmo/project/view";

  //Leave
  static final String pmoLeaveView = "pmo/leave/view";
  static final String pmoLeaveViewDetails = "pmo/leave/viewdetail";
  static final String pmoLeaveCreate = "pmo/leave/create";
  static final String pmoLeaveDelete = "pmo/leave/delete";
  static final String pmoLeaveUpdate = "pmo/leave/update";

  //TimeSheet
  static final String pmoTimeSheetView = "pmo/timesheet/view";
  static final String pmoTimeSheetViewDetails = "pmo/timesheet/viewdetail";
  static final String pmoTimeSheetCreate = "pmo/timesheet/create";
  static final String pmoTimeSheetDelete = "pmo/timesheet/delete";
  static final String pmoTimeSheetUpdate = "pmo/timesheet/update";

  //Admin
  static final String adminModuleViewDetails = "bui/module/viewdetail";
  static final String adminModuleDelete = "bui/module/delete";
  static final String adminUsersViewDetails = "bui/users/viewdetail";
  static final String adminRolesViewDetails = "bui/role/view";

  static String buiRoleCreate = "bui/role/create";
  static String buiRoleUpdate = "bui/role/update";

  static String screenCreate = "bui/screen/create";
}

class UrlParams {
  static final String LOGIN_ID = "LoginID";
  static final String PASSWORD_HASH = "PasswordHash";
  static final String CLIENT_ACCESSKEY = "ClientAccesssKey";

  static final String AID = "AID";
  static final String AID_VALUE = "sx7dcAze85V2Cgo";
  static final String AKEY = "AKEY";
  static final String AKEY_VALUE = "9D1fz8NQ15tpmrblkdS5";
  static final String AV = "AV";
  static final String AV_VALUE = "0.6.17";
}
