/*
    Refer License for Terms & Conditions
 */
class AppStrings {
  static final String EMPTY_STRING = "";

  //screen heading
  static final String SIGN_IN = "SIGN IN";
  static final String SIGN_UP = "SIGN UP";
  static final String SIGN_OUT = "Sign Out";
  static final String SIGN_UP_SMALL = "Sign up";
  static final String FORGOT_PASSWORD_TITLE = "FORGOT PASSWORD";
  static final String RESET_PASSWORD = "RESET PASSWORD";
  static final String OTP = "Otp";

  static final String APP_NAME = "AAGNIA";
  static final String EMAIL = "Email";
  static final String PASSWORD = "Password";
  static final String FIRST_NAME = "First Name";
  static final String LAST_NAME = "Last Name";

  static final String NEXT = "Next";
  static final String ALREADY_HAVE_AN_ACCOUNT = "Already have an account? ";
  static final String CREATE_AN_ACCOUNT = "Create an new account? ";
  static final String OR_SIGN_IN_WITH = "Or Sign in with";
  static final String INVALID_EMAIL =
      "Invalid E-Mail. Email must have @ and . style";
  static final String NAME_MUST_BE_ENTER = "Name must be enter";
  static final String PASSWORD_TOO_SHORT = "Password too short";
  static final String EMAIL_CANNOT_BE_EMPTY = "Email cannot be empty";
  static final String MOBILE_CANNOT_BE_EMPTY = "Mobile cannot be empty";
  static final String PASSWORD_CANNOT_BE_EMPTY = "Password cannot be empty";
  static final String FIRST_NAME_CANNOT_BE_EMPTY = "Firstname cannot be empty";
  static final String LAST_NAME_CANNOT_BE_EMPTY = "Lastname cannot be empty";
  static final String INVALID_EMAIL_OR_PASSWORD =
      "Invalid email id or password";
  static final String INVALID_MOBILE_NUMBER = "Invalid Mobile Number";
  static final String INVALID_OTP = "Invalid Otp";
  static final String OTP_CANNOT_BE_EMPTY = "You must enter the otp code";
  static final String PLEASE_COMPLETE_THE_OTP = "Please complete the code";

  static final String LOGO = "LOGO";
  static final String VERIFICATION = "Verification";
  static final String CONFIRM = "Confirm";
  static final String FORGOT_PASSWORD = "Forgot Password? ";
  static final String MOBILE = "Mobile";
  static final String SOCIAL = "Social";
  static final String SKIP = "Skip";
  static final String SENT = "SENT";
  static final String CONFIRM_PASSWORD = "Confirm Password";
  static final String NEW_PASSWORD = "New Password";
  static final String VIEW_MORE = "View More";

  static final String FORGOT_PASSWORD_RESET_TEXT =
      "To reset your password. Just enter your email address and \n we will send you a password reset link";
  static final String FORGOT_PASSWORD_RESET_TEXT1 =
      "Please check your email - the reset password \n instruction should be there";

  static final String SOCIAL_LOGIN = "Social Login";
  static final String QUICK_SIGN_IN_SOCIAL =
      "Quickly Sign in with your social network";
  static final String SIGN_IN_WITH_GOOGLE = 'Sign in with Google';
  static final String SIGN_IN_WITH_FACEBOOK = 'Sign in with Facebook';

  //FEEDBACK SCREEN STRINGS

  static final String RATE_THIS_PRODUCT = "Rate this product";
  static final String REVIEW_THIS_PRODUCT = "Review This Product";
  static final String NAME = "Name";
  static final String REVIEW_CANNOT_BE_EMPTY =
      "Please Type Some review About us";
  static final String FEED_BACK = "Feed Back";
  static final String SECONDARY_THEME_COLOR = "secondaryThemeColor";
  static final String PRIMARY_THEME_COLOR = "primaryThemeColor";
  static final String UPDATE = "Update App";
  static final String UPDATE_CONTENT =
      "A new version of the app is available on Play Store. Please update the app to the latest version.";

  static final String cancel = "Cancel";
  static final String okay = "Okay";
  static final String save = "Save";

  static final String vegImage = "https://cdn.britannica.com/17/196817-050-6A15DAC3/vegetables.jpg";

  static final String dealInfo = "Deal Info";



  // ignore: non_constant_identifier_names
  static final String CONTACTS = "Contacts";

  // ignore: non_constant_identifier_names
  static final String LEAD = "Lead";

  //sign up tag
// ignore: non_constant_identifier_names
  static final String SIGN_UP_TAG = "sign-up";

  // ignore: non_constant_identifier_names
  static final String BASE_SCREEN_TAG = "base-tag";

  //Shared Pref Value
// ignore: non_constant_identifier_names
  static final String USER_ID = "User_ID";

  // ignore: non_constant_identifier_names
  static final String USER_NAME = "User_Name";

  // ignore: non_constant_identifier_names
  static final String USER_EMAIL = "User_Email";

  // ignore: non_constant_identifier_names
  static final String USER_IMAGE_URL = "User_Image_Url";

  // ignore: non_constant_identifier_names
  static final String USER_TOKEN = "User_Token";

  // ignore: non_constant_identifier_names
  static final String USER_UID = "User_UID";

  // ignore: non_constant_identifier_names
  static final bool USER_EMAIL_VERIFIED = false;

  // ignore: non_constant_identifier_names
  static final String TOKEN = 'auth-token';

  static final String RETRY = "Retry";

  // ignore: non_constant_identifier_names
  static final String SAVE = "Save";

  // ignore: non_constant_identifier_names
  static final String ADD = "Add";

  // ignore: non_constant_identifier_names
  static final String SETTINGS = "Settings";

  // ignore: non_constant_identifier_names
  static final String THEME = "Theme";

  // ignore: non_constant_identifier_names
  static final String NOTIFICATION = "Notification";

  // ignore: non_constant_identifier_names
  static final String MESSAGE = "Message";

  // ignore: non_constant_identifier_names
  static final String ACCOUNT_INFO = "Account Info";

  // ignore: non_constant_identifier_names
  static final String LEAD_INFO = "Lead Info";

  // ignore: non_constant_identifier_names
  static final String CONTACT_INFO = "Contact Info";

  // ignore: non_constant_identifier_names
  static final String TASK_INFO = "Task Info";

  // ignore: non_constant_identifier_names
  static final String TASK = "Tasks";

  // ignore: non_constant_identifier_names
  static final String CREATE_TASK = "Create Task";

  // ignore: non_constant_identifier_names
  static final String CREATE_NOTES = "Create Notes";

  // ignore: non_constant_identifier_names
  static final String NOTES = "Notes";

  // ignore: non_constant_identifier_names
  static final String NO_TASK_AVAILABLE = "No Task Available";

  // ignore: non_constant_identifier_names
  static final String NO_NOTES_AVAILABLE = "No Notes Available";

  // ignore: non_constant_identifier_names
  static final String OWNER_ID = "ownerID";


  // ignore: non_constant_identifier_names
  static final String NO_DATA_FOUND = "OOPl̥S, No data found";

  // ignore: non_constant_identifier_names
  static final String COPY_RIGHT = " © EEP";

  static final String ARE_U_SURE = "Are you sure?";

  // ignore: non_constant_identifier_names
  static final String EXIT = "Do you want to exit an App";

  // ignore: non_constant_identifier_names
  static final String DO_U_WANT_LOGOUT = "Do you want to Logout...";

  static final String date = "Date";
  static final String time = "Time";
  static final String currency = "currency";
  static final String welcomeToAagniaWorkBench = "WELCOME TO AAGNIA WORKBENCH";

  static final String delete_and_edit =
      "Swipe left to edit and Swipe right to delete option";

  static final String inActiveAndEdit =
      "Swipe left to edit and Swipe right to Inactive option";

  static final String holdToDelete =
      "If you want to delete an item long press about the card";

  static final String thisMonth = "This Month: ";
  static final String totalHours = "Total Hours: ";
  static final String hours = " Hours";

  static final String leavePageViewDetails = "Leave Page View Details";
  static final String timeSheetPageViewDetails = "Time Sheet Page View Details";

  static final String leavePage = "Leave";
  static final String timeSheetPage = "TimeSheet";

  static final String days = "Days";
  static final String day = "Day";

  static final String admin = "Admin";

  static final String users = "Users";
  static final String roles = "Roles";
  static final String permission = "Permission";
  static final String tech = "Technologies";
  static final String timesheetExp = "Timesheet Expiry";

  static final String create = "Create ";
  static final String createLeavePage = "Create Leave Page";
  static final String createTimeSheetPage = "Create TimeSheet Page";
  static final String update = "Update ";

  static final String enter = "Enter ";

  static final String selectModule = "Select Your Module";

  static final String noAccess =
      "You have don't access to this action";
  static final String switchModule = "Switch to Module";

  static final int noAccessPermission = 0;
  static final int viewAccessForOwn = 16;
  static final int viewAndAddAccessForOwn = 24;
  static final int fullAccessForOwn = 30;
  static final int viewAccessForAllUser = 17;
  static final int viewAndAddAccessForAllUser = 25;
  static final int fullAccessForAll = 31;

  static final String processing = "Processing";
  static final String areYouSureToDelete = "Are you sure do you want to delete this ";

  static final String oops = "OOPs";

  static final String pmoOwnerPermission = "PMO Settings";

  static final String crmOwnerPermission = "CRM Settings";



  static final String createScreen = "Screen";
  static final String createModule = "Module";
  static final String updateModule = "Update Module";

  static final String updateScreen = "Update Screen";


}
