class BUIFormatDetailsBean {
  bool status;
  int statusCode;
  String message;
  List<Data> data;

  BUIFormatDetailsBean({this.status, this.statusCode, this.message, this.data});

  BUIFormatDetailsBean.fromJson(dynamic json) {
    status = json["status"];
    statusCode = json["status_code"];
    message = json["message"];
    if (json["data"] != null) {
      data = [];
      json["data"].forEach((v) {
        data.add(Data.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    var map = <String, dynamic>{};
    map["status"] = status;
    map["status_code"] = statusCode;
    map["message"] = message;
    if (data != null) {
      map["data"] = data.map((v) => v.toJson()).toList();
    }
    return map;
  }
}

class Data {
  int id;
  String primary;
  String secondary;
  String value;
  String status;
  String desc;
  String createdAt;
  String updatedAt;

  Data(
      {this.id,
      this.primary,
      this.secondary,
      this.value,
      this.status,
      this.desc,
      this.createdAt,
      this.updatedAt});

  Data.fromJson(dynamic json) {
    id = json["id"];
    primary = json["primary"];
    secondary = json["secondary"];
    value = json["value"];
    status = json["status"];
    desc = json["desc"];
    createdAt = json["created_at"];
    updatedAt = json["updated_at"];
  }

  Map<String, dynamic> toJson() {
    var map = <String, dynamic>{};
    map["id"] = id;
    map["primary"] = primary;
    map["secondary"] = secondary;
    map["value"] = value;
    map["status"] = status;
    map["desc"] = desc;
    map["created_at"] = createdAt;
    map["updated_at"] = updatedAt;
    return map;
  }
}
